Bug 25651 - Modifying an authorised value make it disappear
Summary: Modifying an authorised value make it disappear
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: System Administration (show other bugs)
Version: master
Hardware: All All
: P5 - low critical (vote)
Assignee: Julian Maurice
QA Contact: Nick Clemens
URL:
Keywords:
Depends on: 17355
Blocks:
  Show dependency treegraph
 
Reported: 2020-06-02 11:41 UTC by Julian Maurice
Modified: 2020-11-30 21:51 UTC (History)
7 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Text to go in the release notes:
Version(s) released in:
20.11.00, 20.05.01


Attachments
Bug 25651: Fix modification of authorised value (1.08 KB, patch)
2020-06-02 11:42 UTC, Julian Maurice
Details | Diff | Splinter Review
Bug 25651: Fix modification of authorised value (1.14 KB, patch)
2020-06-02 13:23 UTC, ByWater Sandboxes
Details | Diff | Splinter Review
Bug 25651: Fix modification of authorised value (1.20 KB, patch)
2020-06-05 16:21 UTC, Nick Clemens
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Julian Maurice 2020-06-02 11:41:17 UTC
Steps to reproduce:

1. Go to Admin » Authorised Values » [any AV category that has values in it] » Edit one » Save
2. The modified authorised value is gone
Comment 1 Julian Maurice 2020-06-02 11:42:11 UTC
Created attachment 105483 [details] [review]
Bug 25651: Fix modification of authorised value

When modifying an existing authorised value, the category is not
correctly passed to the template and so it is not passed to the
POST request, which results in the authorised value switching to
category '', which effectively make it disappear from the interface.
This patch fixes that.
Comment 2 ByWater Sandboxes 2020-06-02 13:23:28 UTC
Created attachment 105486 [details] [review]
Bug 25651: Fix modification of authorised value

When modifying an existing authorised value, the category is not
correctly passed to the template and so it is not passed to the
POST request, which results in the authorised value switching to
category '', which effectively make it disappear from the interface.
This patch fixes that.

Signed-off-by: Sally <sally.healey@cheshiresharedservices.gov.uk>
Comment 3 Nick Clemens 2020-06-05 16:21:47 UTC
Created attachment 105593 [details] [review]
Bug 25651: Fix modification of authorised value

When modifying an existing authorised value, the category is not
correctly passed to the template and so it is not passed to the
POST request, which results in the authorised value switching to
category '', which effectively make it disappear from the interface.
This patch fixes that.

Signed-off-by: Sally <sally.healey@cheshiresharedservices.gov.uk>

Signed-off-by: Nick Clemens <nick@bywatersolutions.com>
Comment 4 Jonathan Druart 2020-06-12 12:17:44 UTC
Pushed to master for 20.11, thanks to everybody involved!
Comment 5 Lucas Gass 2020-06-16 22:17:45 UTC
backported to 20.05.x for 20.05.01
Comment 6 Aleisha Amohia 2020-06-17 00:11:03 UTC
category_name not present in the template in 19.11.x, not backported